Page MenuHomePhabricator

Add OAuth extension to wikibase bundle container
Closed, ResolvedPublic

Description

Create a new tagged version of the wikibase container called 'bundle' which includes important / useful additional extensions.

This should be based on the current wikibase image.

Initially include OAuth (which is available from: https://www.mediawiki.org/wiki/Extension:OAuth)

Event Timeline

Is OAuth 100% required for Quickstatements? :)

It is required if you want to make edits synchronously (the large, friendly, primary “run” button). In the task breakdown meeting we decided to focus on that right now and postpone background edits (via bot).

In our task break down the call was either:

  1. add OAuth
  2. deal with a bot account and its credentials (which actually need to be secret per install)

I suggested for the sake of bikeshedding we start with OAuth (1)

In our task break down the call was either:

  1. add OAuth

So, there is nothing wrong with adding OAuth if it is a requirement or partial requirement of quickstatements.

  1. deal with a bot account and its credentials (which actually need to be secret per install)

So, the images don't really handle this at all, the way it would work is the quickstatements config allows you to pass in a user and pass (or whatever it needs) and the user would create that user and pass on their wikibase.
The images wouldn't or shouldn't really handle creating any of these user automatically.

Tarrow added a comment.EditedApr 17 2018, 3:43 PM

I would suggest the setup would come from docker-compose.

We would be adding another "setupcontainer" or script to the example docker-compose to do this. But in any case we won't be doing this for this task

So the script already exists as part of mediawiki.

https://github.com/wikimedia/mediawiki/blob/master/maintenance/createAndPromote.php

I imagine that is all you would need.

Running of this script, i guess, could be part of the other stuff that probably shouldn't live in the image, such as installing the dbs.
https://github.com/wmde/wikibase-docker/blob/master/wikibase/1.30/entrypoint.sh#L15

These should perhaps be provided as separate endpoints that the user can then choose in their own setup. Something like:

  • entrypoint.sh # Just run the service
  • mwinstall.sh && entrypoint.sh # install mediawiki and run the service
  • mwinstall.sh && quickstatementsuser.sh && entrypoint.sh # install mediawiki, add a user for quick statements and run the service
Tarrow claimed this task.Apr 17 2018, 5:56 PM
Tarrow moved this task from Tasks to In Progress on the Wikidata-Ministry-Of-Magic board.
Addshore moved this task from Features to Doing on the Wikibase-Containers board.Apr 18 2018, 8:40 AM
Tarrow updated the task description. (Show Details)Apr 19 2018, 7:52 AM

I'm holding off on moving this into the "needs review" column until we've figured out what will happen if me merge the patch.

Currently docker CI won't build it because the Dockerfile location for the base image has changed so at a minimum we need to alter this.

We also need to find out what happens with building FROM an image that is also being build by a CI job in the same repo.

Finally once we know what happens with the tags from DockerCI we need to update the README so the docs remain current

Tarrow moved this task from Backlog to Review on the User-TArrow board.Apr 19 2018, 10:11 AM
Addshore moved this task from Doing to Review on the Wikibase-Containers board.Apr 24 2018, 6:17 AM
Addshore moved this task from Review to Doing on the Wikibase-Containers board.

@Tarrow for now I think we should just remove all auto building and just hit the build button when needed.
We should then also maintain some sort of log of who build what when and from what source.

WMDE-leszek reassigned this task from Tarrow to Addshore.Apr 26 2018, 10:15 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptApr 26 2018, 10:15 AM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.May 2 2018, 2:05 PM
Tarrow claimed this task.May 8 2018, 9:11 AM
Tarrow removed a project: Patch-For-Review.

This needs rebasing and updating to work with the new Travis setup.

Also needs addressing the concerns expressed in the PR

Tarrow closed this task as Resolved.May 10 2018, 9:17 AM
Tarrow moved this task from Needs Review to Done on the Wikidata-Ministry-Of-Magic board.
Addshore moved this task from Next to Closing ✔️ on the User-Addshore board.May 16 2018, 11:19 AM